package com.example.mygym

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.mygym.domain.Constants
import io.github.jan.supabase.gotrue.auth
import io.github.jan.supabase.gotrue.providers.builtin.Email
import kotlinx.coroutines.launch


class MainViewModel(): ViewModel() {
    fun onSignInEmailPassword(emailUser: String, passwordUser: String, onSuccess: () -> Unit) {
        viewModelScope.launch {
            try {
                val user = Constants.supabase.auth.signInWith(Email){
                    email = emailUser
                    password = passwordUser
                }
                println(user.toString())
                println(Constants.supabase.auth.currentUserOrNull()!!.id)
                println("Authorization was successful")
                onSuccess()
            } catch (e:Exception){
                println("Unknown error")
                println(e.message.toString())
            }

    }
}
    fun onSignUpEmail(emailUser: String, passwordUser: String ) {
        viewModelScope.launch {
            try {
                val user = Constants.supabase.auth.signUpWith(Email){
                    email = emailUser
                    password = passwordUser
                }
                println(user.toString())
                println(Constants.supabase.auth.currentUserOrNull()!!.id)
                println("Registration was successful")
            } catch (e:Exception){
                println("Unknown error")
                println(e.message.toString())
            }
        }
    }
}
